This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1277970 - Review Request: R-testthat - Unit Testing for R
Review Request: R-testthat - Unit Testing for R
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On: 1277933 1277956 1277966
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 07:48 EST by Tom "spot" Callaway
Modified: 2015-12-11 18:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-11 18:52:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2015-11-04 07:48:14 EST
Spec URL: https://spot.fedorapeople.org/R-testthat.spec
SRPM URL: https://spot.fedorapeople.org/R-testthat-0.11.0-1.fc23.src.rpm
Description: 
A unit testing system designed to be fun, flexible, and easy to set up.
Fedora Account System Username: spot
Comment 1 gil cattaneo 2015-11-09 18:23:03 EST
can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1266805 ?
Comment 2 gil cattaneo 2015-11-09 21:27:22 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Package have the default element marked as %%doc :DESCRIPTION, CITATION
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 131 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1277970-R-testthat/licensecheck.txt

  Please, report to upstream and ask to add license headers in those files where is missing
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text
    
[!]: License file installed when any subpackage combination is installed.

 Please, report to upstream and ask to add license file
 https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package contains the mandatory BuildRequires.
[x]: The package has the standard %install section.
[x]: Package requires R-core.

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in R
     -testthat-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define packname testthat
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 0.11.0, packaged version is 0.11.0

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/gil/1277970-R-testthat/results/R-testthat-0.11.0-1.fc24.i686.rpm /home/gil/1277970-R-testthat/results/R-testthat-debuginfo-0.11.0-1.fc24.i686.rpm /home/gil/1277970-R-testthat/results/R-testthat-debuginfo-0.11.0-1.fc24.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 install /home/gil/1277970-R-testthat/results/R-testthat-0.11.0-1.fc24.i686.rpm /home/gil/1277970-R-testthat/results/R-testthat-debuginfo-0.11.0-1.fc24.i686.rpm /home/gil/1277970-R-testthat/results/R-testthat-debuginfo-0.11.0-1.fc24.i686.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: R-testthat-0.11.0-1.fc24.i686.rpm
          R-testthat-debuginfo-0.11.0-1.fc24.i686.rpm
          R-testthat-0.11.0-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Requires
--------
R-testthat (rpmlib, GLIBC filtered):
    R-core
    R-crayon
    R-digest
    R-praise
    libR.so
    libc.so.6
    rtld(GNU_HASH)

R-testthat-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
R-testthat:
    R-testthat
    R-testthat(x86-32)

R-testthat-debuginfo:
    R-testthat-debuginfo
    R-testthat-debuginfo(x86-32)



Unversioned so-files
--------------------
R-testthat: /usr/lib/R/library/testthat/libs/testthat.so

Source checksums
----------------
ftp://cran.r-project.org/pub/R/contrib/main/testthat_0.11.0.tar.gz :
  CHECKSUM(SHA256) this package     : 24a69e61023eb4d0e534975e1751a58ececc670948dca076509ec0a5492b7aba
  CHECKSUM(SHA256) upstream package : 24a69e61023eb4d0e534975e1751a58ececc670948dca076509ec0a5492b7aba


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1277970 --plugins R -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, R, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 gil cattaneo 2015-11-09 21:29:19 EST
NON blocking issues:

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 131 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1277970-R-testthat/licensecheck.txt

  Please, report to upstream and ask to add license headers in those files where is missing
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text
    
[!]: License file installed when any subpackage combination is installed.

 Please, report to upstream and ask to add license file
 https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text


[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

[!]: Package does not include license text files separate from upstream.

[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define packname testthat

Please, fix before import
approved
Comment 4 Gwyn Ciesla 2015-11-11 09:09:07 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/R-testthat
Comment 5 Fedora Update System 2015-12-01 15:46:18 EST
R-DBI-0.3.1-1.fc23 R-testthat-0.11.0-2.fc23 R-crayon-1.3.1-2.fc23 R-memoise-0.2.1-2.fc23 R-praise-1.0.0-2.fc23 R-digest-0.6.8-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bc7d4f9a1c
Comment 6 Fedora Update System 2015-12-03 20:37:46 EST
R-DBI-0.3.1-1.fc23, R-crayon-1.3.1-2.fc23, R-digest-0.6.8-2.fc23, R-memoise-0.2.1-2.fc23, R-praise-1.0.0-2.fc23, R-testthat-0.11.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update R-DBI R-testthat R-crayon R-memoise R-digest R-praise'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bc7d4f9a1c
Comment 7 Pierre-YvesChibon 2015-12-11 11:34:00 EST
Package request has been approved: https://admin.stg.fedoraproject.org/pkgdb//package/R-testthat
Comment 8 Pierre-YvesChibon 2015-12-11 11:56:03 EST
Package request has been approved: https://admin.stg.fedoraproject.org/pkgdb//package/R-testthat
Comment 9 Fedora Update System 2015-12-11 18:52:30 EST
R-DBI-0.3.1-1.fc23, R-crayon-1.3.1-2.fc23, R-digest-0.6.8-2.fc23, R-memoise-0.2.1-2.fc23, R-praise-1.0.0-2.fc23, R-testthat-0.11.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.